WebApi
Tổng endpoint: 90
Quick Links
Kiểm thử API & Postman
Test API trên Swagger: https://api.crmtop.vn/swagger/index.html
Lấy JSON import Postman: https://api.crmtop.vn/swagger/v1/swagger.json
Auth
Danh sách endpoints thuộc nhóm Auth (theo Swagger tag).
POST
Lấy access token truy cập cho developers
/api/v1/auth/get-token-for-developOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/auth/get-token-for-develop |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
Parameters path/query/header›
(No parameters)
Không có parameters.
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | GetTokenForPublicApiRequest |
{
"clientId": "string",
"clientSecret": "string"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/auth/get-token-for-develop'
--header 'accept: application/json'
--header 'Content-Type: application/json'
--data-raw '{"clientId": "string", "clientSecret": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: TokenForPublicApiDtoExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"accessToken": "string",
"refreshToken": "string",
"expiration": 0
},
"errors": null,
"meta": null
}Activity
Danh sách endpoints thuộc nhóm Activity (theo Swagger tag).
POST
Thêm hoạt động
/api/v1/activity/createOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/activity/create |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | AddOrEditActivityRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"type": 1,
"subject": "string",
"description": "string",
"status": 1,
"priority": 1,
"startTime": "2026-02-27T00:00:00+07:00",
"endTime": "2026-02-27T00:00:00+07:00",
"dueDate": "2026-02-27T00:00:00+07:00",
"isAllDay": true,
"ownerId": "00000000-0000-0000-0000-000000000000",
"ownerName": "string",
"orgUnitId": "00000000-0000-0000-0000-000000000000",
"orgUnitName": "string",
"extraData": "string",
"primaryType": 1,
"primaryId": "00000000-0000-0000-0000-000000000000",
"primaryName": "string",
"relatedType": 1,
"relatedId": "00000000-0000-0000-0000-000000000000",
"relatedName": "string"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/activity/create'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "type": 1, "subject": "string", "description": "string", "status": 1, "priority": 1, "startTime": "2026-02-27T00:00:00+07:00", "endTime": "2026-02-27T00:00:00+07:00", "dueDate": "2026-02-27T00:00:00+07:00", "isAllDay": true, "ownerId": "00000000-0000-0000-0000-000000000000", "ownerName": "string", "orgUnitId": "00000000-0000-0000-0000-000000000000", "orgUnitName": "string", "extraData": "string", "primaryType": 1, "primaryId": "00000000-0000-0000-0000-000000000000", "primaryName": "string", "relatedType": 1, "relatedId": "00000000-0000-0000-0000-000000000000", "relatedName": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}DELETE
Xóa hoạt động
/api/v1/activity/delete/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/activity/delete/{id} |
|---|---|
| Method | DELETE |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request DELETE 'https://api.crmtop.vn/api/v1/activity/delete/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: booleanExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": true,
"errors": null,
"meta": null
}GET
Lấy thông tin hoạt động
/api/v1/activity/get/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/activity/get/{id} |
|---|---|
| Method | GET |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request GET 'https://api.crmtop.vn/api/v1/activity/get/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: AddOrEditActivityRequestExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"type": 1,
"subject": "string",
"description": "string",
"status": 1,
"priority": 1,
"startTime": "2026-02-27T00:00:00+07:00",
"endTime": "2026-02-27T00:00:00+07:00",
"dueDate": "2026-02-27T00:00:00+07:00",
"isAllDay": true,
"ownerId": "00000000-0000-0000-0000-000000000000",
"ownerName": "string",
"orgUnitId": "00000000-0000-0000-0000-000000000000",
"orgUnitName": "string",
"extraData": "string",
"primaryType": 1,
"primaryId": "00000000-0000-0000-0000-000000000000",
"primaryName": "string",
"relatedType": 1,
"relatedId": "00000000-0000-0000-0000-000000000000",
"relatedName": "string"
},
"errors": null,
"meta": null
}POST
Tìm kiếm hoạt động
/api/v1/activity/searchOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/activity/search |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SearchActivityRequest |
{
"pageNumber": 0,
"pageSize": 0,
"search": "string",
"type": 1,
"status": 1,
"priority": 1,
"ownerId": "00000000-0000-0000-0000-000000000000",
"primaryType": 1,
"primaryId": "00000000-0000-0000-0000-000000000000",
"primaryName": "string",
"subject": "string",
"fieldDate": "string",
"from": "2026-02-27T00:00:00+07:00",
"to": "2026-02-27T00:00:00+07:00"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/activity/search'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"pageNumber": 0, "pageSize": 0, "search": "string", "type": 1, "status": 1, "priority": 1, "ownerId": "00000000-0000-0000-0000-000000000000", "primaryType": 1, "primaryId": "00000000-0000-0000-0000-000000000000", "primaryName": "string", "subject": "string", "fieldDate": "string", "from": "2026-02-27T00:00:00+07:00", "to": "2026-02-27T00:00:00+07:00"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: SearchActivityDtoPaginationResponseExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"currentPage": 0,
"totalPages": 0,
"totalCount": 0,
"pageSize": 0,
"hasPreviousPage": true,
"hasNextPage": true,
"data": [
null
]
},
"errors": null,
"meta": null
}GET
Cập nhật trạng thái hoạt động (1: Kế hoạch, 2: Đang thực hiện, 3: Hoàn thành, 4: Huỷ)
/api/v1/activity/status/{id}/{status}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/activity/status/{id}/{status} |
|---|---|
| Method | GET |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | | |
status | path | true | ActivityStatus | |
Example cURL copy/paste›
curl --location --request GET 'https://api.crmtop.vn/api/v1/activity/status/{id}/{status}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: booleanExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": true,
"errors": null,
"meta": null
}PUT
Cập nhật hoạt động
/api/v1/activity/updateOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/activity/update |
|---|---|
| Method | PUT |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | AddOrEditActivityRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"type": 1,
"subject": "string",
"description": "string",
"status": 1,
"priority": 1,
"startTime": "2026-02-27T00:00:00+07:00",
"endTime": "2026-02-27T00:00:00+07:00",
"dueDate": "2026-02-27T00:00:00+07:00",
"isAllDay": true,
"ownerId": "00000000-0000-0000-0000-000000000000",
"ownerName": "string",
"orgUnitId": "00000000-0000-0000-0000-000000000000",
"orgUnitName": "string",
"extraData": "string",
"primaryType": 1,
"primaryId": "00000000-0000-0000-0000-000000000000",
"primaryName": "string",
"relatedType": 1,
"relatedId": "00000000-0000-0000-0000-000000000000",
"relatedName": "string"
}Example cURL copy/paste›
curl --location --request PUT 'https://api.crmtop.vn/api/v1/activity/update'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "type": 1, "subject": "string", "description": "string", "status": 1, "priority": 1, "startTime": "2026-02-27T00:00:00+07:00", "endTime": "2026-02-27T00:00:00+07:00", "dueDate": "2026-02-27T00:00:00+07:00", "isAllDay": true, "ownerId": "00000000-0000-0000-0000-000000000000", "ownerName": "string", "orgUnitId": "00000000-0000-0000-0000-000000000000", "orgUnitName": "string", "extraData": "string", "primaryType": 1, "primaryId": "00000000-0000-0000-0000-000000000000", "primaryName": "string", "relatedType": 1, "relatedId": "00000000-0000-0000-0000-000000000000", "relatedName": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}Campaign
Danh sách endpoints thuộc nhóm Campaign (theo Swagger tag).
POST
Thêm mới chiến dịch
/api/v1/campaign/createOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/campaign/create |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SaveCampaignRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"code": "string",
"name": "string",
"type": 1,
"status": 1,
"startDate": "2026-02-27T00:00:00+07:00",
"endDate": "2026-02-27T00:00:00+07:00",
"expectedRevenue": 0.0,
"budgetedCost": 0.0,
"actualCost": 0.0,
"expectedResponseRate": 0.0,
"actualResponseRate": 0.0,
"note": "string",
"ownerId": "00000000-0000-0000-0000-000000000000",
"ownerName": "string",
"orgUnitId": "00000000-0000-0000-0000-000000000000",
"orgUnitName": "string"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/campaign/create'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "code": "string", "name": "string", "type": 1, "status": 1, "startDate": "2026-02-27T00:00:00+07:00", "endDate": "2026-02-27T00:00:00+07:00", "expectedRevenue": 0.0, "budgetedCost": 0.0, "actualCost": 0.0, "expectedResponseRate": 0.0, "actualResponseRate": 0.0, "note": "string", "ownerId": "00000000-0000-0000-0000-000000000000", "ownerName": "string", "orgUnitId": "00000000-0000-0000-0000-000000000000", "orgUnitName": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}DELETE
Xóa chiến dịch
/api/v1/campaign/delete/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/campaign/delete/{id} |
|---|---|
| Method | DELETE |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request DELETE 'https://api.crmtop.vn/api/v1/campaign/delete/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: booleanExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": true,
"errors": null,
"meta": null
}GET
Lấy thông tin chiến dịch
/api/v1/campaign/get/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/campaign/get/{id} |
|---|---|
| Method | GET |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request GET 'https://api.crmtop.vn/api/v1/campaign/get/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: SaveCampaignRequestExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"code": "string",
"name": "string",
"type": 1,
"status": 1,
"startDate": "2026-02-27T00:00:00+07:00",
"endDate": "2026-02-27T00:00:00+07:00",
"expectedRevenue": 0.0,
"budgetedCost": 0.0,
"actualCost": 0.0,
"expectedResponseRate": 0.0,
"actualResponseRate": 0.0,
"note": "string",
"ownerId": "00000000-0000-0000-0000-000000000000",
"ownerName": "string",
"orgUnitId": "00000000-0000-0000-0000-000000000000",
"orgUnitName": "string"
},
"errors": null,
"meta": null
}POST
Thêm thành viên trong chiến dịch
/api/v1/campaign/member/addOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/campaign/member/add |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SaveCampMemberRequest |
{
"campaignId": "00000000-0000-0000-0000-000000000000",
"type": 1,
"ids": [
"00000000-0000-0000-0000-000000000000"
]
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/campaign/member/add'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"campaignId": "00000000-0000-0000-0000-000000000000", "type": 1, "ids": ["00000000-0000-0000-0000-000000000000"]}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: booleanExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": true,
"errors": null,
"meta": null
}DELETE
Xóa thành viên trong chiến dịch
/api/v1/campaign/member/delete/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/campaign/member/delete/{id} |
|---|---|
| Method | DELETE |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | integer(int32) | |
Example cURL copy/paste›
curl --location --request DELETE 'https://api.crmtop.vn/api/v1/campaign/member/delete/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: booleanExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": true,
"errors": null,
"meta": null
}POST
Tìm kiếm thành viên trong chiến dịch
/api/v1/campaign/member/searchOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/campaign/member/search |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SearchCampMemberRequest |
{
"pageNumber": 0,
"pageSize": 0,
"search": "string",
"campaignId": "00000000-0000-0000-0000-000000000000",
"type": 1
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/campaign/member/search'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"pageNumber": 0, "pageSize": 0, "search": "string", "campaignId": "00000000-0000-0000-0000-000000000000", "type": 1}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: SearchCampMemberDtoPaginationResponseExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"currentPage": 0,
"totalPages": 0,
"totalCount": 0,
"pageSize": 0,
"hasPreviousPage": true,
"hasNextPage": true,
"data": [
null
]
},
"errors": null,
"meta": null
}POST
Tìm kiếm chiến dịch
/api/v1/campaign/searchOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/campaign/search |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SearchCampaignRequest |
{
"pageNumber": 0,
"pageSize": 0,
"search": "string",
"type": 1,
"status": 1
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/campaign/search'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"pageNumber": 0, "pageSize": 0, "search": "string", "type": 1, "status": 1}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: SearchCampaignDtoPaginationResponseExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"currentPage": 0,
"totalPages": 0,
"totalCount": 0,
"pageSize": 0,
"hasPreviousPage": true,
"hasNextPage": true,
"data": [
null
]
},
"errors": null,
"meta": null
}PUT
Cập nhật chiến dịch
/api/v1/campaign/updateOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/campaign/update |
|---|---|
| Method | PUT |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SaveCampaignRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"code": "string",
"name": "string",
"type": 1,
"status": 1,
"startDate": "2026-02-27T00:00:00+07:00",
"endDate": "2026-02-27T00:00:00+07:00",
"expectedRevenue": 0.0,
"budgetedCost": 0.0,
"actualCost": 0.0,
"expectedResponseRate": 0.0,
"actualResponseRate": 0.0,
"note": "string",
"ownerId": "00000000-0000-0000-0000-000000000000",
"ownerName": "string",
"orgUnitId": "00000000-0000-0000-0000-000000000000",
"orgUnitName": "string"
}Example cURL copy/paste›
curl --location --request PUT 'https://api.crmtop.vn/api/v1/campaign/update'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "code": "string", "name": "string", "type": 1, "status": 1, "startDate": "2026-02-27T00:00:00+07:00", "endDate": "2026-02-27T00:00:00+07:00", "expectedRevenue": 0.0, "budgetedCost": 0.0, "actualCost": 0.0, "expectedResponseRate": 0.0, "actualResponseRate": 0.0, "note": "string", "ownerId": "00000000-0000-0000-0000-000000000000", "ownerName": "string", "orgUnitId": "00000000-0000-0000-0000-000000000000", "orgUnitName": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}Contact
Danh sách endpoints thuộc nhóm Contact (theo Swagger tag).
POST
Thêm mới liên hệ
/api/v1/contact/createOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/contact/create |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | AddOrEditContactRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"customerId": "00000000-0000-0000-0000-000000000000",
"customerName": "string",
"code": "string",
"fullName": "string",
"position": "string",
"department": "string",
"phone": "string",
"email": "string",
"gender": 1,
"birthday": "2026-02-27T00:00:00+07:00",
"nationalId": "string",
"address": "string",
"status": "string",
"isPrimary": true,
"note": "string",
"ownerId": "00000000-0000-0000-0000-000000000000",
"ownerName": "string",
"orgUnitId": "00000000-0000-0000-0000-000000000000",
"orgUnitName": "string"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/contact/create'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "customerId": "00000000-0000-0000-0000-000000000000", "customerName": "string", "code": "string", "fullName": "string", "position": "string", "department": "string", "phone": "string", "email": "string", "gender": 1, "birthday": "2026-02-27T00:00:00+07:00", "nationalId": "string", "address": "string", "status": "string", "isPrimary": true, "note": "string", "ownerId": "00000000-0000-0000-0000-000000000000", "ownerName": "string", "orgUnitId": "00000000-0000-0000-0000-000000000000", "orgUnitName": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}DELETE
Xóa liên hệ
/api/v1/contact/delete/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/contact/delete/{id} |
|---|---|
| Method | DELETE |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request DELETE 'https://api.crmtop.vn/api/v1/contact/delete/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: booleanExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": true,
"errors": null,
"meta": null
}GET
Lấy thông tin liên hệ
/api/v1/contact/get/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/contact/get/{id} |
|---|---|
| Method | GET |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request GET 'https://api.crmtop.vn/api/v1/contact/get/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: AddOrEditContactRequestExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"customerId": "00000000-0000-0000-0000-000000000000",
"customerName": "string",
"code": "string",
"fullName": "string",
"position": "string",
"department": "string",
"phone": "string",
"email": "string",
"gender": 1,
"birthday": "2026-02-27T00:00:00+07:00",
"nationalId": "string",
"address": "string",
"status": "string",
"isPrimary": true,
"note": "string",
"ownerId": "00000000-0000-0000-0000-000000000000",
"ownerName": "string",
"orgUnitId": "00000000-0000-0000-0000-000000000000",
"orgUnitName": "string"
},
"errors": null,
"meta": null
}POST
Tìm kiếm liên hệ
/api/v1/contact/searchOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/contact/search |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SearchContactRequest |
{
"pageNumber": 0,
"pageSize": 0,
"search": "string",
"customerId": "00000000-0000-0000-0000-000000000000",
"code": "string",
"fullName": "string",
"email": "string",
"phone": "string"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/contact/search'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"pageNumber": 0, "pageSize": 0, "search": "string", "customerId": "00000000-0000-0000-0000-000000000000", "code": "string", "fullName": "string", "email": "string", "phone": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: SearchContactDtoPaginationResponseExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"currentPage": 0,
"totalPages": 0,
"totalCount": 0,
"pageSize": 0,
"hasPreviousPage": true,
"hasNextPage": true,
"data": [
null
]
},
"errors": null,
"meta": null
}PUT
Cập nhật liên hệ
/api/v1/contact/updateOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/contact/update |
|---|---|
| Method | PUT |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | AddOrEditContactRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"customerId": "00000000-0000-0000-0000-000000000000",
"customerName": "string",
"code": "string",
"fullName": "string",
"position": "string",
"department": "string",
"phone": "string",
"email": "string",
"gender": 1,
"birthday": "2026-02-27T00:00:00+07:00",
"nationalId": "string",
"address": "string",
"status": "string",
"isPrimary": true,
"note": "string",
"ownerId": "00000000-0000-0000-0000-000000000000",
"ownerName": "string",
"orgUnitId": "00000000-0000-0000-0000-000000000000",
"orgUnitName": "string"
}Example cURL copy/paste›
curl --location --request PUT 'https://api.crmtop.vn/api/v1/contact/update'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "customerId": "00000000-0000-0000-0000-000000000000", "customerName": "string", "code": "string", "fullName": "string", "position": "string", "department": "string", "phone": "string", "email": "string", "gender": 1, "birthday": "2026-02-27T00:00:00+07:00", "nationalId": "string", "address": "string", "status": "string", "isPrimary": true, "note": "string", "ownerId": "00000000-0000-0000-0000-000000000000", "ownerName": "string", "orgUnitId": "00000000-0000-0000-0000-000000000000", "orgUnitName": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}Customer
Danh sách endpoints thuộc nhóm Customer (theo Swagger tag).
POST
Thêm mới khách hàng
/api/v1/customer/createOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/customer/create |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | AddOrEditCustomerRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"code": "string",
"name": "string",
"type": 1,
"taxCode": "string",
"businessType": "string",
"groupId": "00000000-0000-0000-0000-000000000000",
"groupName": "string",
"phone": "string",
"email": "string",
"website": "string",
"address": "string",
"note": "string",
"ownerId": "00000000-0000-0000-0000-000000000000",
"ownerName": "string",
"orgUnitId": "00000000-0000-0000-0000-000000000000",
"orgUnitName": "string"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/customer/create'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "code": "string", "name": "string", "type": 1, "taxCode": "string", "businessType": "string", "groupId": "00000000-0000-0000-0000-000000000000", "groupName": "string", "phone": "string", "email": "string", "website": "string", "address": "string", "note": "string", "ownerId": "00000000-0000-0000-0000-000000000000", "ownerName": "string", "orgUnitId": "00000000-0000-0000-0000-000000000000", "orgUnitName": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}DELETE
Xóa khách hàng
/api/v1/customer/delete/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/customer/delete/{id} |
|---|---|
| Method | DELETE |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request DELETE 'https://api.crmtop.vn/api/v1/customer/delete/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: booleanExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": true,
"errors": null,
"meta": null
}GET
Lấy thông tin khách hàng
/api/v1/customer/get/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/customer/get/{id} |
|---|---|
| Method | GET |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request GET 'https://api.crmtop.vn/api/v1/customer/get/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: AddOrEditCustomerRequestExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"code": "string",
"name": "string",
"type": 1,
"taxCode": "string",
"businessType": "string",
"groupId": "00000000-0000-0000-0000-000000000000",
"groupName": "string",
"phone": "string",
"email": "string",
"website": "string",
"address": "string",
"note": "string",
"ownerId": "00000000-0000-0000-0000-000000000000",
"ownerName": "string",
"orgUnitId": "00000000-0000-0000-0000-000000000000",
"orgUnitName": "string"
},
"errors": null,
"meta": null
}POST
Thêm nhóm khách hàng
/api/v1/customer/group/createOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/customer/group/create |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SaveCustomerGroupRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"note": "string"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/customer/group/create'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "name": "string", "note": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}POST
Tìm kiếm nhóm khách hàng
/api/v1/customer/group/searchOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/customer/group/search |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SearchCustomerGroupRequest |
{
"pageNumber": 0,
"pageSize": 0,
"search": "string"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/customer/group/search'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"pageNumber": 0, "pageSize": 0, "search": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: CustomerGroupDtoPaginationResponseExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"currentPage": 0,
"totalPages": 0,
"totalCount": 0,
"pageSize": 0,
"hasPreviousPage": true,
"hasNextPage": true,
"data": [
null
]
},
"errors": null,
"meta": null
}PUT
Cập nhật nhóm khách hàng
/api/v1/customer/group/updateOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/customer/group/update |
|---|---|
| Method | PUT |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SaveCustomerGroupRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"note": "string"
}Example cURL copy/paste›
curl --location --request PUT 'https://api.crmtop.vn/api/v1/customer/group/update'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "name": "string", "note": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}DELETE
Xóa nhóm khách hàng
/api/v1/customer/group/delete/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/customer/group/delete/{id} |
|---|---|
| Method | DELETE |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request DELETE 'https://api.crmtop.vn/api/v1/customer/group/delete/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: booleanExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": true,
"errors": null,
"meta": null
}POST
Tìm kiếm khách hàng
/api/v1/customer/searchOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/customer/search |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SearchCustomerRequest |
{
"pageNumber": 0,
"pageSize": 0,
"search": "string",
"groupId": "00000000-0000-0000-0000-000000000000",
"code": "string",
"name": "string",
"email": "string",
"phone": "string"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/customer/search'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"pageNumber": 0, "pageSize": 0, "search": "string", "groupId": "00000000-0000-0000-0000-000000000000", "code": "string", "name": "string", "email": "string", "phone": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: SearchCustomerDtoPaginationResponseExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"currentPage": 0,
"totalPages": 0,
"totalCount": 0,
"pageSize": 0,
"hasPreviousPage": true,
"hasNextPage": true,
"data": [
null
]
},
"errors": null,
"meta": null
}PUT
Cập nhật khách hàng
/api/v1/customer/updateOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/customer/update |
|---|---|
| Method | PUT |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | AddOrEditCustomerRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"code": "string",
"name": "string",
"type": 1,
"taxCode": "string",
"businessType": "string",
"groupId": "00000000-0000-0000-0000-000000000000",
"groupName": "string",
"phone": "string",
"email": "string",
"website": "string",
"address": "string",
"note": "string",
"ownerId": "00000000-0000-0000-0000-000000000000",
"ownerName": "string",
"orgUnitId": "00000000-0000-0000-0000-000000000000",
"orgUnitName": "string"
}Example cURL copy/paste›
curl --location --request PUT 'https://api.crmtop.vn/api/v1/customer/update'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "code": "string", "name": "string", "type": 1, "taxCode": "string", "businessType": "string", "groupId": "00000000-0000-0000-0000-000000000000", "groupName": "string", "phone": "string", "email": "string", "website": "string", "address": "string", "note": "string", "ownerId": "00000000-0000-0000-0000-000000000000", "ownerName": "string", "orgUnitId": "00000000-0000-0000-0000-000000000000", "orgUnitName": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}Lead
Danh sách endpoints thuộc nhóm Lead (theo Swagger tag).
GET
Chuyển đổi khách hàng tiềm năng
/api/v1/lead/convert/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/lead/convert/{id} |
|---|---|
| Method | GET |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request GET 'https://api.crmtop.vn/api/v1/lead/convert/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: booleanExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": true,
"errors": null,
"meta": null
}POST
Thêm mới khách hàng tiềm năng
/api/v1/lead/createOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/lead/create |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | AddOrEditLeadRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"source": 1,
"status": 1,
"fullName": "string",
"email": "string",
"phone": "string",
"company": "string",
"position": "string",
"industry": 1,
"rating": 1,
"probability": 0,
"notes": "string",
"assignedTo": 0,
"ownerId": "00000000-0000-0000-0000-000000000000",
"ownerName": "string",
"orgUnitId": "00000000-0000-0000-0000-000000000000",
"orgUnitName": "string"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/lead/create'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "source": 1, "status": 1, "fullName": "string", "email": "string", "phone": "string", "company": "string", "position": "string", "industry": 1, "rating": 1, "probability": 0, "notes": "string", "assignedTo": 0, "ownerId": "00000000-0000-0000-0000-000000000000", "ownerName": "string", "orgUnitId": "00000000-0000-0000-0000-000000000000", "orgUnitName": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}DELETE
Xóa khách hàng tiềm năng
/api/v1/lead/delete/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/lead/delete/{id} |
|---|---|
| Method | DELETE |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request DELETE 'https://api.crmtop.vn/api/v1/lead/delete/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: booleanExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": true,
"errors": null,
"meta": null
}GET
Lấy thông tin khách hàng tiềm năng
/api/v1/lead/get/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/lead/get/{id} |
|---|---|
| Method | GET |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request GET 'https://api.crmtop.vn/api/v1/lead/get/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: AddOrEditLeadRequestExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"source": 1,
"status": 1,
"fullName": "string",
"email": "string",
"phone": "string",
"company": "string",
"position": "string",
"industry": 1,
"rating": 1,
"probability": 0,
"notes": "string",
"assignedTo": 0,
"ownerId": "00000000-0000-0000-0000-000000000000",
"ownerName": "string",
"orgUnitId": "00000000-0000-0000-0000-000000000000",
"orgUnitName": "string"
},
"errors": null,
"meta": null
}POST
Tìm kiếm khách hàng tiềm năng
/api/v1/lead/searchOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/lead/search |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SearchLeadRequest |
{
"pageNumber": 0,
"pageSize": 0,
"search": "string",
"fullName": "string",
"email": "string",
"phone": "string"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/lead/search'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"pageNumber": 0, "pageSize": 0, "search": "string", "fullName": "string", "email": "string", "phone": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: SearchLeadDtoPaginationResponseExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"currentPage": 0,
"totalPages": 0,
"totalCount": 0,
"pageSize": 0,
"hasPreviousPage": true,
"hasNextPage": true,
"data": [
null
]
},
"errors": null,
"meta": null
}PUT
Cập nhật khách hàng tiềm năng
/api/v1/lead/updateOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/lead/update |
|---|---|
| Method | PUT |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | AddOrEditLeadRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"source": 1,
"status": 1,
"fullName": "string",
"email": "string",
"phone": "string",
"company": "string",
"position": "string",
"industry": 1,
"rating": 1,
"probability": 0,
"notes": "string",
"assignedTo": 0,
"ownerId": "00000000-0000-0000-0000-000000000000",
"ownerName": "string",
"orgUnitId": "00000000-0000-0000-0000-000000000000",
"orgUnitName": "string"
}Example cURL copy/paste›
curl --location --request PUT 'https://api.crmtop.vn/api/v1/lead/update'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "source": 1, "status": 1, "fullName": "string", "email": "string", "phone": "string", "company": "string", "position": "string", "industry": 1, "rating": 1, "probability": 0, "notes": "string", "assignedTo": 0, "ownerId": "00000000-0000-0000-0000-000000000000", "ownerName": "string", "orgUnitId": "00000000-0000-0000-0000-000000000000", "orgUnitName": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}MaktEmail
Danh sách endpoints thuộc nhóm MaktEmail (theo Swagger tag).
POST
Thêm mới email marketing
/api/v1/maktemail/createOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/maktemail/create |
|---|---|
| Method | POST |
| Content-Type | multipart/form-data |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Id | query | false | string(uuid) | | |
Code | query | false | string | | |
Name | query | false | string | | |
Description | query | false | string | | |
Subject | query | false | string | | |
Supplier | query | false | EmailSupplier | | |
From | query | false | string | | |
DisplayName | query | false | string | | |
TemplateId | query | false | string(uuid) | | |
TemplateName | query | false | string | | |
SendType | query | false | EmailSendType | | |
SegmentId | query | false | string(uuid) | | |
SegmentName | query | false | string | | |
FilePath | query | false | string | | |
Status | query | false | MarketingStatus | | |
AppointmentDate | query | false | string(date-time) | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | multipart/form-data |
| Schema | object |
{
"FormFile": "<binary>"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/maktemail/create'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--form 'FormFile=@<file>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}DELETE
Xóa email marketing
/api/v1/maktemail/delete/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/maktemail/delete/{id} |
|---|---|
| Method | DELETE |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request DELETE 'https://api.crmtop.vn/api/v1/maktemail/delete/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: booleanExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": true,
"errors": null,
"meta": null
}GET
Lấy thông tin email marketing
/api/v1/maktemail/get/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/maktemail/get/{id} |
|---|---|
| Method | GET |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request GET 'https://api.crmtop.vn/api/v1/maktemail/get/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: AddOrEditMaktEmailRequestExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"code": "string",
"name": "string",
"description": "string",
"subject": "string",
"supplier": 1,
"from": "string",
"displayName": "string",
"templateId": "00000000-0000-0000-0000-000000000000",
"templateName": "string",
"sendType": 1,
"segmentId": "00000000-0000-0000-0000-000000000000",
"segmentName": "string",
"filePath": "string",
"status": 1,
"appointmentDate": "2026-02-27T00:00:00+07:00",
"formFile": "<binary>"
},
"errors": null,
"meta": null
}POST
Tìm kiếm email marketing
/api/v1/maktemail/searchOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/maktemail/search |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SearchMaktEmailRequest |
{
"pageNumber": 0,
"pageSize": 0,
"search": "string",
"status": 1,
"supplier": 1
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/maktemail/search'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"pageNumber": 0, "pageSize": 0, "search": "string", "status": 1, "supplier": 1}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: SearchMaktEmailDtoPaginationResponseExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"currentPage": 0,
"totalPages": 0,
"totalCount": 0,
"pageSize": 0,
"hasPreviousPage": true,
"hasNextPage": true,
"data": [
null
]
},
"errors": null,
"meta": null
}PUT
Cập nhật email marketing
/api/v1/maktemail/updateOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/maktemail/update |
|---|---|
| Method | PUT |
| Content-Type | multipart/form-data |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Id | query | false | string(uuid) | | |
Code | query | false | string | | |
Name | query | false | string | | |
Description | query | false | string | | |
Subject | query | false | string | | |
Supplier | query | false | EmailSupplier | | |
From | query | false | string | | |
DisplayName | query | false | string | | |
TemplateId | query | false | string(uuid) | | |
TemplateName | query | false | string | | |
SendType | query | false | EmailSendType | | |
SegmentId | query | false | string(uuid) | | |
SegmentName | query | false | string | | |
FilePath | query | false | string | | |
Status | query | false | MarketingStatus | | |
AppointmentDate | query | false | string(date-time) | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | multipart/form-data |
| Schema | object |
{
"FormFile": "<binary>"
}Example cURL copy/paste›
curl --location --request PUT 'https://api.crmtop.vn/api/v1/maktemail/update'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--form 'FormFile=@<file>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}MaktZalo
Danh sách endpoints thuộc nhóm MaktZalo (theo Swagger tag).
POST
Thêm mới zalo marketing
/api/v1/maktzalo/createOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/maktzalo/create |
|---|---|
| Method | POST |
| Content-Type | multipart/form-data |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Id | query | false | string(uuid) | | |
Code | query | false | string | | |
Name | query | false | string | | |
Description | query | false | string | | |
Channel | query | false | MaktZaloChannel | | |
SocialId | query | false | string | | |
SocialName | query | false | string | | |
ZnsTemplateId | query | false | string | | |
ZnsTemplateName | query | false | string | | |
ZnsTemplateParam | query | false | string | | |
ZnsTemplatePreviewUrl | query | false | string | | |
ZnsTemplatePrice | query | false | number(double) | | |
SmsTemplateId | query | false | string(uuid) | | |
SmsTemplateName | query | false | string | | |
SmsTemplateParam | query | false | string | | |
SendType | query | false | EmailSendType | | |
SegmentId | query | false | string(uuid) | | |
SegmentName | query | false | string | | |
FilePath | query | false | string | | |
ExcelHeader | query | false | string | | |
Status | query | false | MarketingStatus | | |
AppointmentDate | query | false | string(date-time) | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | multipart/form-data |
| Schema | object |
{
"FormFile": "<binary>"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/maktzalo/create'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--form 'FormFile=@<file>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}DELETE
Xóa zalo marketing
/api/v1/maktzalo/delete/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/maktzalo/delete/{id} |
|---|---|
| Method | DELETE |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request DELETE 'https://api.crmtop.vn/api/v1/maktzalo/delete/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: booleanExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": true,
"errors": null,
"meta": null
}GET
Lấy thông tin zalo marketing
/api/v1/maktzalo/get/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/maktzalo/get/{id} |
|---|---|
| Method | GET |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request GET 'https://api.crmtop.vn/api/v1/maktzalo/get/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: AddOrEditMaktZaloRequestExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"code": "string",
"name": "string",
"description": "string",
"channel": 1,
"socialId": "string",
"socialName": "string",
"znsTemplateId": "string",
"znsTemplateName": "string",
"znsTemplateParam": "string",
"znsTemplatePreviewUrl": "string",
"znsTemplatePrice": 0.0,
"smsTemplateId": "00000000-0000-0000-0000-000000000000",
"smsTemplateName": "string",
"smsTemplateParam": "string",
"sendType": 1,
"segmentId": "00000000-0000-0000-0000-000000000000",
"segmentName": "string",
"formFile": "<binary>",
"filePath": "string",
"excelHeader": "string",
"status": 1,
"appointmentDate": "2026-02-27T00:00:00+07:00"
},
"errors": null,
"meta": null
}POST
Tìm kiếm zalo marketing
/api/v1/maktzalo/searchOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/maktzalo/search |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SearchMaktZaloRequest |
{
"pageNumber": 0,
"pageSize": 0,
"search": "string",
"status": 1
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/maktzalo/search'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"pageNumber": 0, "pageSize": 0, "search": "string", "status": 1}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: SearchMaktZaloDtoPaginationResponseExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"currentPage": 0,
"totalPages": 0,
"totalCount": 0,
"pageSize": 0,
"hasPreviousPage": true,
"hasNextPage": true,
"data": [
null
]
},
"errors": null,
"meta": null
}PUT
Cập nhật zalo marketing
/api/v1/maktzalo/updateOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/maktzalo/update |
|---|---|
| Method | PUT |
| Content-Type | multipart/form-data |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Id | query | false | string(uuid) | | |
Code | query | false | string | | |
Name | query | false | string | | |
Description | query | false | string | | |
Channel | query | false | MaktZaloChannel | | |
SocialId | query | false | string | | |
SocialName | query | false | string | | |
ZnsTemplateId | query | false | string | | |
ZnsTemplateName | query | false | string | | |
ZnsTemplateParam | query | false | string | | |
ZnsTemplatePreviewUrl | query | false | string | | |
ZnsTemplatePrice | query | false | number(double) | | |
SmsTemplateId | query | false | string(uuid) | | |
SmsTemplateName | query | false | string | | |
SmsTemplateParam | query | false | string | | |
SendType | query | false | EmailSendType | | |
SegmentId | query | false | string(uuid) | | |
SegmentName | query | false | string | | |
FilePath | query | false | string | | |
ExcelHeader | query | false | string | | |
Status | query | false | MarketingStatus | | |
AppointmentDate | query | false | string(date-time) | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | multipart/form-data |
| Schema | object |
{
"FormFile": "<binary>"
}Example cURL copy/paste›
curl --location --request PUT 'https://api.crmtop.vn/api/v1/maktzalo/update'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--form 'FormFile=@<file>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}Opportunity
Danh sách endpoints thuộc nhóm Opportunity (theo Swagger tag).
POST
Thêm mới cơ hội
/api/v1/opportunity/createOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/opportunity/create |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | AddOrEditOpportunityRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"code": "string",
"name": "string",
"description": "string",
"customerId": "00000000-0000-0000-0000-000000000000",
"customerName": "string",
"contactId": "00000000-0000-0000-0000-000000000000",
"contactName": "string",
"leadId": "00000000-0000-0000-0000-000000000000",
"leadName": "string",
"amount": 0.0,
"currency": "string",
"probability": 0.0,
"stage": 1,
"priority": 1,
"source": "string",
"expectedCloseDate": "2026-02-27T00:00:00+07:00",
"actualCloseDate": "2026-02-27T00:00:00+07:00",
"ownerId": "00000000-0000-0000-0000-000000000000",
"ownerName": "string",
"orgUnitId": "00000000-0000-0000-0000-000000000000",
"orgUnitName": "string"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/opportunity/create'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "code": "string", "name": "string", "description": "string", "customerId": "00000000-0000-0000-0000-000000000000", "customerName": "string", "contactId": "00000000-0000-0000-0000-000000000000", "contactName": "string", "leadId": "00000000-0000-0000-0000-000000000000", "leadName": "string", "amount": 0.0, "currency": "string", "probability": 0.0, "stage": 1, "priority": 1, "source": "string", "expectedCloseDate": "2026-02-27T00:00:00+07:00", "actualCloseDate": "2026-02-27T00:00:00+07:00", "ownerId": "00000000-0000-0000-0000-000000000000", "ownerName": "string", "orgUnitId": "00000000-0000-0000-0000-000000000000", "orgUnitName": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}DELETE
Xóa cơ hội
/api/v1/opportunity/delete/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/opportunity/delete/{id} |
|---|---|
| Method | DELETE |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request DELETE 'https://api.crmtop.vn/api/v1/opportunity/delete/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: booleanExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": true,
"errors": null,
"meta": null
}GET
Lấy thông tin cơ hội
/api/v1/opportunity/get/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/opportunity/get/{id} |
|---|---|
| Method | GET |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request GET 'https://api.crmtop.vn/api/v1/opportunity/get/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: AddOrEditOpportunityRequestExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"code": "string",
"name": "string",
"description": "string",
"customerId": "00000000-0000-0000-0000-000000000000",
"customerName": "string",
"contactId": "00000000-0000-0000-0000-000000000000",
"contactName": "string",
"leadId": "00000000-0000-0000-0000-000000000000",
"leadName": "string",
"amount": 0.0,
"currency": "string",
"probability": 0.0,
"stage": 1,
"priority": 1,
"source": "string",
"expectedCloseDate": "2026-02-27T00:00:00+07:00",
"actualCloseDate": "2026-02-27T00:00:00+07:00",
"ownerId": "00000000-0000-0000-0000-000000000000",
"ownerName": "string",
"orgUnitId": "00000000-0000-0000-0000-000000000000",
"orgUnitName": "string"
},
"errors": null,
"meta": null
}POST
Tìm kiếm cơ hội
/api/v1/opportunity/searchOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/opportunity/search |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SearchOpportunityRequest |
{
"pageNumber": 0,
"pageSize": 0,
"search": "string",
"customerId": "00000000-0000-0000-0000-000000000000",
"customerName": "string",
"contactId": "00000000-0000-0000-0000-000000000000",
"contactName": "string",
"leadId": "00000000-0000-0000-0000-000000000000",
"leadName": "string"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/opportunity/search'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"pageNumber": 0, "pageSize": 0, "search": "string", "customerId": "00000000-0000-0000-0000-000000000000", "customerName": "string", "contactId": "00000000-0000-0000-0000-000000000000", "contactName": "string", "leadId": "00000000-0000-0000-0000-000000000000", "leadName": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: SearchOpportunityDtoPaginationResponseExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"currentPage": 0,
"totalPages": 0,
"totalCount": 0,
"pageSize": 0,
"hasPreviousPage": true,
"hasNextPage": true,
"data": [
null
]
},
"errors": null,
"meta": null
}PUT
Cập nhật cơ hội
/api/v1/opportunity/updateOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/opportunity/update |
|---|---|
| Method | PUT |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | AddOrEditOpportunityRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"code": "string",
"name": "string",
"description": "string",
"customerId": "00000000-0000-0000-0000-000000000000",
"customerName": "string",
"contactId": "00000000-0000-0000-0000-000000000000",
"contactName": "string",
"leadId": "00000000-0000-0000-0000-000000000000",
"leadName": "string",
"amount": 0.0,
"currency": "string",
"probability": 0.0,
"stage": 1,
"priority": 1,
"source": "string",
"expectedCloseDate": "2026-02-27T00:00:00+07:00",
"actualCloseDate": "2026-02-27T00:00:00+07:00",
"ownerId": "00000000-0000-0000-0000-000000000000",
"ownerName": "string",
"orgUnitId": "00000000-0000-0000-0000-000000000000",
"orgUnitName": "string"
}Example cURL copy/paste›
curl --location --request PUT 'https://api.crmtop.vn/api/v1/opportunity/update'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "code": "string", "name": "string", "description": "string", "customerId": "00000000-0000-0000-0000-000000000000", "customerName": "string", "contactId": "00000000-0000-0000-0000-000000000000", "contactName": "string", "leadId": "00000000-0000-0000-0000-000000000000", "leadName": "string", "amount": 0.0, "currency": "string", "probability": 0.0, "stage": 1, "priority": 1, "source": "string", "expectedCloseDate": "2026-02-27T00:00:00+07:00", "actualCloseDate": "2026-02-27T00:00:00+07:00", "ownerId": "00000000-0000-0000-0000-000000000000", "ownerName": "string", "orgUnitId": "00000000-0000-0000-0000-000000000000", "orgUnitName": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}Order
Danh sách endpoints thuộc nhóm Order (theo Swagger tag).
POST
Xác thực đơn hàng
/api/v1/order/crm/approveOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/order/crm/approve |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | ApproveOrderRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"approve": true,
"note": "string"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/order/crm/approve'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "approve": true, "note": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: booleanExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": true,
"errors": null,
"meta": null
}POST
Thêm đơn hàng
/api/v1/order/crm/createOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/order/crm/create |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SaveOrderRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"code": "string",
"customerId": "00000000-0000-0000-0000-000000000000",
"customerName": "string",
"orderDate": "2026-02-27T00:00:00+07:00",
"dueDate": "2026-02-27T00:00:00+07:00",
"totalAmount": 0.0,
"taxAmount": 0.0,
"discountAmount": 0.0,
"status": 1,
"approved": true,
"note": "string",
"receiverName": "string",
"receiverPhone": "string",
"receiverEmail": "string",
"receiverAddress": "string",
"products": "string"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/order/crm/create'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "code": "string", "customerId": "00000000-0000-0000-0000-000000000000", "customerName": "string", "orderDate": "2026-02-27T00:00:00+07:00", "dueDate": "2026-02-27T00:00:00+07:00", "totalAmount": 0.0, "taxAmount": 0.0, "discountAmount": 0.0, "status": 1, "approved": true, "note": "string", "receiverName": "string", "receiverPhone": "string", "receiverEmail": "string", "receiverAddress": "string", "products": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}DELETE
Xoá đơn hàng
/api/v1/order/crm/delete/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/order/crm/delete/{id} |
|---|---|
| Method | DELETE |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request DELETE 'https://api.crmtop.vn/api/v1/order/crm/delete/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: booleanExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": true,
"errors": null,
"meta": null
}GET
Lấy thông tin đơn hàng
/api/v1/order/crm/get/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/order/crm/get/{id} |
|---|---|
| Method | GET |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request GET 'https://api.crmtop.vn/api/v1/order/crm/get/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: SaveOrderRequestExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"code": "string",
"customerId": "00000000-0000-0000-0000-000000000000",
"customerName": "string",
"orderDate": "2026-02-27T00:00:00+07:00",
"dueDate": "2026-02-27T00:00:00+07:00",
"totalAmount": 0.0,
"taxAmount": 0.0,
"discountAmount": 0.0,
"status": 1,
"approved": true,
"note": "string",
"receiverName": "string",
"receiverPhone": "string",
"receiverEmail": "string",
"receiverAddress": "string",
"products": "string"
},
"errors": null,
"meta": null
}POST
In 8cm đơn hàng
/api/v1/order/crm/print-8cmOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/order/crm/print-8cm |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | CrmPrint8cmOrderRequest |
{
"ids": [
"00000000-0000-0000-0000-000000000000"
]
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/order/crm/print-8cm'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"ids": ["00000000-0000-0000-0000-000000000000"]}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: stringExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": "string",
"errors": null,
"meta": null
}POST
In A4 đơn hàng
/api/v1/order/crm/print-a4Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/order/crm/print-a4 |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | CrmPrintA4OrderRequest |
{
"ids": [
"00000000-0000-0000-0000-000000000000"
]
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/order/crm/print-a4'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"ids": ["00000000-0000-0000-0000-000000000000"]}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: stringExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": "string",
"errors": null,
"meta": null
}POST
Tìm kiếm đơn hàng
/api/v1/order/crm/searchOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/order/crm/search |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | PagingOrderRequest |
{
"pageNumber": 0,
"pageSize": 0,
"search": "string",
"approved": true,
"status": 1,
"customerId": "00000000-0000-0000-0000-000000000000",
"fieldDate": "string",
"from": "2026-02-27T00:00:00+07:00",
"to": "2026-02-27T00:00:00+07:00"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/order/crm/search'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"pageNumber": 0, "pageSize": 0, "search": "string", "approved": true, "status": 1, "customerId": "00000000-0000-0000-0000-000000000000", "fieldDate": "string", "from": "2026-02-27T00:00:00+07:00", "to": "2026-02-27T00:00:00+07:00"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: PagingOrderDtoPaginationResponseExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"currentPage": 0,
"totalPages": 0,
"totalCount": 0,
"pageSize": 0,
"hasPreviousPage": true,
"hasNextPage": true,
"data": [
null
]
},
"errors": null,
"meta": null
}PUT
Cập nhật đơn hàng
/api/v1/order/crm/updateOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/order/crm/update |
|---|---|
| Method | PUT |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SaveOrderRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"code": "string",
"customerId": "00000000-0000-0000-0000-000000000000",
"customerName": "string",
"orderDate": "2026-02-27T00:00:00+07:00",
"dueDate": "2026-02-27T00:00:00+07:00",
"totalAmount": 0.0,
"taxAmount": 0.0,
"discountAmount": 0.0,
"status": 1,
"approved": true,
"note": "string",
"receiverName": "string",
"receiverPhone": "string",
"receiverEmail": "string",
"receiverAddress": "string",
"products": "string"
}Example cURL copy/paste›
curl --location --request PUT 'https://api.crmtop.vn/api/v1/order/crm/update'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "code": "string", "customerId": "00000000-0000-0000-0000-000000000000", "customerName": "string", "orderDate": "2026-02-27T00:00:00+07:00", "dueDate": "2026-02-27T00:00:00+07:00", "totalAmount": 0.0, "taxAmount": 0.0, "discountAmount": 0.0, "status": 1, "approved": true, "note": "string", "receiverName": "string", "receiverPhone": "string", "receiverEmail": "string", "receiverAddress": "string", "products": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}Product
Danh sách endpoints thuộc nhóm Product (theo Swagger tag).
POST
Thêm sản phẩm
/api/v1/product/crm/createOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/product/crm/create |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SaveProductRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"code": "string",
"name": "string",
"groupId": 0,
"groupName": "string",
"unitId": 0,
"unitName": "string",
"importPrice": 0.0,
"retailPrice": 0.0,
"wholesalePrice": 0.0,
"config": "string",
"note": "string",
"image": "string"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/product/crm/create'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "code": "string", "name": "string", "groupId": 0, "groupName": "string", "unitId": 0, "unitName": "string", "importPrice": 0.0, "retailPrice": 0.0, "wholesalePrice": 0.0, "config": "string", "note": "string", "image": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}DELETE
Xoá sản phẩm
/api/v1/product/crm/delete/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/product/crm/delete/{id} |
|---|---|
| Method | DELETE |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request DELETE 'https://api.crmtop.vn/api/v1/product/crm/delete/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: booleanExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": true,
"errors": null,
"meta": null
}GET
Lấy thông tin sản phẩm
/api/v1/product/crm/get/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/product/crm/get/{id} |
|---|---|
| Method | GET |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request GET 'https://api.crmtop.vn/api/v1/product/crm/get/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: SaveProductRequestExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"code": "string",
"name": "string",
"groupId": 0,
"groupName": "string",
"unitId": 0,
"unitName": "string",
"importPrice": 0.0,
"retailPrice": 0.0,
"wholesalePrice": 0.0,
"config": "string",
"note": "string",
"image": "string"
},
"errors": null,
"meta": null
}POST
Cập nhật đơn vị của sản phẩm
/api/v1/product/crm/multi-unit/saveOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/product/crm/multi-unit/save |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SaveProductMuiltiUnitRequest |
{
"units": [
null
]
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/product/crm/multi-unit/save'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"units": [null]}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: booleanExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": true,
"errors": null,
"meta": null
}GET
Danh sách đơn vị của sản phẩm
/api/v1/product/crm/multi-unit/{productId}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/product/crm/multi-unit/{productId} |
|---|---|
| Method | GET |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
productId | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request GET 'https://api.crmtop.vn/api/v1/product/crm/multi-unit/{productId}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: arrayExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"productId": "00000000-0000-0000-0000-000000000000",
"unitId": 0,
"unitName": "string",
"unitRate": 0.0,
"importPrice": 0.0,
"retailPrice": 0.0,
"wholesalePrice": 0.0,
"note": "string",
"entityState": null
}
],
"errors": null,
"meta": null
}POST
Tìm kiếm sản phẩm
/api/v1/product/crm/searchOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/product/crm/search |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | PagingProductRequest |
{
"pageNumber": 0,
"pageSize": 0,
"search": "string"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/product/crm/search'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"pageNumber": 0, "pageSize": 0, "search": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: PagingProductDtoPaginationResponseExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"currentPage": 0,
"totalPages": 0,
"totalCount": 0,
"pageSize": 0,
"hasPreviousPage": true,
"hasNextPage": true,
"data": [
null
]
},
"errors": null,
"meta": null
}POST
Cập nhật đươn vị
/api/v1/product/crm/unit/createOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/product/crm/unit/create |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SaveUnitRequest |
{
"id": 0,
"name": "string",
"note": "string"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/product/crm/unit/create'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": 0, "name": "string", "note": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: integer(int32)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": 0,
"errors": null,
"meta": null
}PUT
Cập nhật sản phẩm
/api/v1/product/crm/updateOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/product/crm/update |
|---|---|
| Method | PUT |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | SaveProductRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"code": "string",
"name": "string",
"groupId": 0,
"groupName": "string",
"unitId": 0,
"unitName": "string",
"importPrice": 0.0,
"retailPrice": 0.0,
"wholesalePrice": 0.0,
"config": "string",
"note": "string",
"image": "string"
}Example cURL copy/paste›
curl --location --request PUT 'https://api.crmtop.vn/api/v1/product/crm/update'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "code": "string", "name": "string", "groupId": 0, "groupName": "string", "unitId": 0, "unitName": "string", "importPrice": 0.0, "retailPrice": 0.0, "wholesalePrice": 0.0, "config": "string", "note": "string", "image": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}Segment
Danh sách endpoints thuộc nhóm Segment (theo Swagger tag).
POST
Thêm mới segment
/api/v1/segment/createOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/segment/create |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | AddOrEditSegmentRequest |
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"description": "string"
}Example cURL copy/paste›
curl --location --request POST 'https://api.crmtop.vn/api/v1/segment/create'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'
--header 'Content-Type: application/json'
--data-raw '{"id": "00000000-0000-0000-0000-000000000000", "name": "string", "description": "string"}'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: string(uuid)Example JSON
{
"success": true,
"code": 200,
"message": null,
"data": "00000000-0000-0000-0000-000000000000",
"errors": null,
"meta": null
}DELETE
Xóa segment
/api/v1/segment/delete/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/segment/delete/{id} |
|---|---|
| Method | DELETE |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request DELETE 'https://api.crmtop.vn/api/v1/segment/delete/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: booleanExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": true,
"errors": null,
"meta": null
}GET
Lấy thông tin segment
/api/v1/segment/get/{id}Overview HTTP request›
| URL | https://api.crmtop.vn/api/v1/segment/get/{id} |
|---|---|
| Method | GET |
| Content-Type | (không có / tuỳ) |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
id | path | true | string(uuid) | |
Example cURL copy/paste›
curl --location --request GET 'https://api.crmtop.vn/api/v1/segment/get/{id}'
--header 'accept: application/json'
--header 'Authorization: Bearer <access_token>'Responses HTTP codes + JSON›
HTTP 200 — OK
Content-Type:
application/json • Schema: SearchSegmentDtoExample JSON
{
"success": true,
"code": 200,
"message": null,
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"totalMember": 0,
"description": "string",
"createdBy": "00000000-0000-0000-0000-000000000000",
"createdByName": "string",
"createdOn": "2026-02-27T00:00:00+07:00"
},
"errors": null,
"meta": null
}POST
Thêm thành viên trong segment
/api/v1/segment/member/addOverview HTTP request›
| URL | https://api.crmtop.vn/api/v1/segment/member/add |
|---|---|
| Method | POST |
| Content-Type | application/json, text/json, application/*+json |
| Authorization | <access_token> |
Parameters path/query/header›
| Name | In | Required | Type | Description | Example |
|---|---|---|---|---|---|
Authorization | header | true | string | Bearer token cho Public API. | |
Request body schema + JSON›
| Required | false |
|---|---|
| Content-Type | application/json |
| Schema | AddSegMemberRequest |
{
"segmentId": "00000000-0000-0000-0000-000000000000",
"type": 1,
"ids": [
"00000000-0000-0000-0000-000000000000"
],
"maktReports": [
null
]
[...]
